Skip to main content

Create a ticket credential

POST 

/nevisidm/api/core/v1/:clientExtId/users/:userExtId/ticket

Since: 8.2511.0

Required permission(s): AccessControl.CredentialCreate

Creates a new ticket credential for the specified user.

The ticket value is generated automatically and returned in the response body. Only one ticket credential is allowed per user at a time.

Request

Path Parameters

    clientExtId stringrequired

    External ID of the client.

    Example: client-123
    userExtId stringrequired

    External ID of the user.

    Example: user-123

Body

required
    extId string

    The external ID of the credential. If omitted, one will be generated automatically.

    policyExtId string

    The external ID of the policy to apply to this ticket credential.

    stateName string

    Possible values: [initial, active, tmp-locked, fail-locked, reset-code, admin-changed, disabled, archived]

    Default value: active

    The initial state of the credential.

    identification string

    The identification string of the ticket, used to associate it with a specific context.

    context string

    The context string associated with this ticket credential.

Responses

Ticket credential created successfully

Schema
    created string

    Creation date of the entity.

    lastModified string

    Date when the entity was last modified.

    version int32

    Version used for optimistic locking.

    extId string

    The external ID of the credential.

    userExtId string

    The external ID of the user to whom the credential belongs.

    policyExtId string

    The external ID of the used policy.

    stateName string

    Possible values: [initial, active, tmp-locked, fail-locked, reset-code, admin-changed, disabled, archived]

    The state of the credential. Available values: initial, active, tmp-locked, fail-locked, reset-code, admin-changed, disabled, archived.

    stateChangeReason string

    Reason for the last state change of the password.

    stateChangeDetail string

    Reason detail for the last state change of the password.

    lastSuccessfulLoginDate string

    Timestamp of last successful login.

    successfulLoginCount int32

    Counts successful logins with this credential since last initialization or reset.

    lastFailedLoginDate string

    Date of last non-technical login failure, for example, wrong password.

    failedLoginCount int32

    Counts non-technical login failures since the last successful login, initialization or reset.

    modificationComment string

    Textual comment regarding the last modification.

    type string

    Possible values: [Password, Certificate, SecurID User Mapping, Ticket Authorization, Safeword User Mapping, OTP Card, Temporary Strong Password, Generic Credential, Kerberos, mTan, Vasco, PUK, URL Ticket, DevicePassword, MobileSignature, SAML Federation, Security Questions, Context Password, OATH, FIDO UAF Authenticator, Recovery Code, FIDO2 Authenticator]

    Type of credential.

    validity object

    Describes the validity period of the password.

    from string

    Start date of the entity's validity in ISO format.

    to string

    End date of the entity's validity in ISO format.

    ticket string

    Hashed ticket value with message digest algorithm prefix.

    failureCount int32

    Number of times the ticket was used incorrectly. Default is 0 during credential creation.

    successCount int32

    Number of times the ticket has been verified successfully. Default is 0 during credential creation.

    resetCount int32

    Number of times the credential was regenerated.

Loading...